• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Important Note about upgrading to 4.4
#1
March 1, 2019 - Important Note about upgrading to 4.4


Please note that UserSpice 4.4 features a new template system, by default continues with BS3 and has the ability to handle BS4 and other templates available in the future. That being said, you may notice some pages not working, including navigation, despite the page itself looking okay. This is due to adjustments to code that breaks existing scripts including onclicks and hovers, and requires updated navigation. If you are using Database Navigation, this is a fairly simple change, and you will require minor adjustments.

**In the header and footer of all pages you want to match to the existing UserSpice theme and template system** you must replace:

The header.php and navigation.php includes to:
require_once $abs_us_root.$us_url_root.'users/includes/template/prep.php';

The page footer and html footer should be replaced, above custom scripts to be:
require_once $abs_us_root . $us_url_root . 'usersc/templates/' . $settings->template . '/footer.php';

If you did not rely on UserSpice core pages in your custom code, you will more than likely not face issues, but if you regularly duplicated pages and used the regular UserSpice CSS and Javascript you will need to make these adjustments.

Thank you,
Brandin & Dan.


Forum Jump:


Users browsing this thread: 1 Guest(s)